<?php
  session_start();
  
  if(!isset($_POST['id']) || !isset($_POST['imie']) || !isset($_POST['nazwisko']) ||
     !isset($_POST['rok_urodzenia']) || !isset($_POST['miejsce_urodzenia'])){
    $_SESSION['komunikat'] = "Brak danych.";
    header('Location:index.php');
    exit();
  }

  if($_POST['id'] == '' || $_POST['imie'] == '' || $_POST['nazwisko'] == '' ||
     $_POST['rok_urodzenia'] == '' || $_POST['miejsce_urodzenia'] == ''){
    $_SESSION['komunikat'] = "Brak danych.";
    header('Location:index.php');
    exit();
  }

  $id = (int)$_POST['id'];
  $imie = $_POST['imie'];
  $nazwisko = $_POST['nazwisko'];
  $rok_urodzenia = $_POST['rok_urodzenia'];
  $miejsce_urodzenia = $_POST['miejsce_urodzenia'];

  //Tutaj dodaj procedury weryfikacji poprawności danych

  if (!$db = mysqli_connect("localhost", "php", "test")){
    $_SESSION['komunikat'] = "Wystapił błąd podczas próby połączenia z bazą danych...";
    header('Location:index.php');
    exit();
  }

  if(!mysqli_select_db($db, 'testphp')){
    mysqli_close($db);
    $_SESSION['komunikat'] = "Wystąpił błąd podczas wyboru bazy danych: testphp";
    header('Location:index.php');
    exit();
  }

  //Zabezpieczenie znaków specjalnych
  $imie = mysqli_real_escape_string($db, $imie);
  $nazwisko = mysqli_real_escape_string($db, $nazwisko);
  $rok_urodzenia = mysqli_real_escape_string($db, $rok_urodzenia);
  $miejsce_urodzenia = mysqli_real_escape_string($db, $miejsce_urodzenia);
  
  $query = "INSERT INTO osoba VALUES(";
  $query .= "$id, '$imie', '$nazwisko', $rok_urodzenia, '$miejsce_urodzenia'";
  $query .= ")";

  if(!$result = mysqli_query($db, $query)){
    mysqli_close($db);
    $_SESSION['komunikat'] = "Wystąpił błąd: zapytanie zostało odrzucone...";
    header('Location:index.php');
    exit;
  }

  $rowsNo = mysqli_affected_rows($db);

  $_SESSION['komunikat'] = "Liczba dodanych rekordów: $rowsNo";

  if(!mysqli_close($db)){
    $_SESSION['komunikat'] = "Wystąpił błąd podczas zamykania połączenia z bazą...";
  }
  header('Location:index.php');
?>

